C API Functions

## udbLibraryFilterEntity

### Description

Filter the specified list of entities with the specified library filter and return a new, allocated list. Use udbListEntityFree to free the allocated list when done.

Currently only applies to Understand for Ada databases and only the "standard" Ada library is supported. Future versions of Understand will support libraries.

### Syntax

     #include "udb/udb.h"
     void udbLibraryFilterEntity(UdbEntity *ents, char *filter,
                                UdbEntity **newents, int *num);

### Arguments

Argument | description
UdbEntity ents | Specify the list of entities
char *filter | Specify the library filter
UdbEntity **newents | Returns the allocated list of new entities
int *num | If not NULL, returns the size of the new list

### Return Values

There is no function return value.

### Example Usage

     udbLibraryFilterEntity(entities, "~standard",  &entities,
    &size);

### See Also

udbLibraryCheckEntity to check if an entity is in the specified library list.

udbLibraryList to get a filtered list of libraries.

udbLibraryName to get the name of a library.

udbListEntityFree to free the entity list.

Scientific Toolworks, Inc. http://www.scitools.com Voice: (802) 763-2995 Fax: (802) 763-3066 support@scitools.com sales@scitools.com